﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/ProjectDetailLayout/_Layout_01.cshtml";
}

<div class="site-mobile-menu site-navbar-target">
    <div class="site-mobile-menu-header">
        <div class="site-mobile-menu-close mt-3">
            <span class="icon-close2 js-menu-toggle"></span>
        </div>
    </div>
    <div class="site-mobile-menu-body"></div>
</div>

<header class="site-navbar py-4 js-sticky-header site-navbar-target" role="banner">

    <div class="container-fluid">
        <div class="row align-items-center justify-content-center">

            <div class="">
                <nav class="site-navigation position-relative text-right" role="navigation">
                    <ul class="site-menu main-menu js-clone-nav mr-auto d-none d-lg-block">
                        <li><a href="#home-section" class="nav-link">Home</a></li>
                        <li><a href="#services-section" class="nav-link">Services</a></li>
                        <li><a href="#about-section" class="nav-link">About</a></li>

                    </ul>
                </nav>
            </div>

            <div class=" text-center mx-5">
                <h1 class="m-0 site-logo"><a href="index.html">Me.</a></h1>
            </div>

            <div class="text-left">

                <nav class="site-navigation position-relative" role="navigation">
                    <ul class="site-menu main-menu js-clone-nav mr-auto d-none d-lg-block">
                        <li><a href="#portfolio-section" class="nav-link">Portfolio</a></li>
                        <li><a href="#clients-section" class="nav-link">Client</a></li>
                        <li><a href="#contact-section" class="nav-link">Contact</a></li>
                    </ul>
                </nav>


                <div class="d-inline-block d-lg-none" style="position: relative; top: 3px;"><a href="#" class="site-menu-toggle js-menu-toggle float-right"><span class="icon-menu h3"></span></a></div>

            </div>

        </div>
    </div>

</header>


<div class="site-blocks-cover overlay bg-light" id="home-section">

    <div class="container">
        <div class="row justify-content-center">

            <div class="col-md-12 mt-lg-5 text-left align-self-center text-intro">
                <div class="row">
                    <div class="col-lg-6">
                        <h1 class="text-black editor">
                            I'm Ben Carson
                        </h1>
                        <p class="lead editor">I'm Web Developer Based on NY City</p>
                        <p><a href="#portfolio-section" class="btn smoothscroll btn-primary">Portfolio</a></p>

                    </div>
                </div>
            </div>

        </div>
    </div>

    <img src="~/template_01/images/face.png" alt="Image" class="img-face" data-aos="fade">


</div>




<div class="site-section" id="services-section">
    <div class="container">
        <div class="row ">
            <div class="col-12 mb-5 position-relative">
                <h2 class="section-title text-center mb-5">My Services</h2>
            </div>

            <div class="col-md-6 mb-4">
                <div class="service d-flex h-100">
                    <div class="service-number mr-4"><span class="icon-style"></span></div>
                    <div class="service-about">
                        <h3>UI/UX Designer</h3>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-4">
                <div class="service d-flex h-100">
                    <div class="service-number mr-4"><span class="icon-business_center"></span></div>
                    <div class="service-about">
                        <h3>Web Development</h3>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-4">
                <div class="service d-flex h-100">
                    <div class="service-number mr-4"><span class="icon-desktop_windows"></span></div>
                    <div class="service-about">
                        <h3>Brand &amp; Logo Design</h3>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-4">
                <div class="service d-flex h-100">
                    <div class="service-number mr-4"><span class="icon-layers"></span></div>
                    <div class="service-about">
                        <h3>Web Design</h3>
                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<div class="site-section" id="about-section">
    <div class="container">
        <div class="row ">
            <div class="col-12 mb-4 position-relative">
                <h2 class="section-title">About Me</h2>
            </div>
            <div class="col-lg-4 order-1 order-lg-2 mb-4 mb-lg-0 editor">
                <div class="bg-light pt-5">
                    <img src="~/template_01/images/face.png" alt="Image" class="img-fluid">
                </div>
            </div>
            <div class="col-lg-4 order-2 order-lg-1">
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
            </div>
            <div class="col-lg-4 order-3 order-lg-3">
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Perferendis ipsum error eligendi molestiae eaque quas, ducimus sequi excepturi?</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Ad aperiam qui maiores, ipsa quibusdam distinctio! Expedita ipsum ex porro obcaecati.</p>
                <p><a href="#contact-section" class="btn smoothscroll btn-primary">Contact Me</a></p>
            </div>

        </div>
    </div>
</div>




<section class="site-section block__62272" id="portfolio-section">


    <div class="container">
        <div class="row mb-5">
            <div class="col-12 position-relative">
                <h2 class="section-title text-center mb-5">My Portfolio</h2>
            </div>
        </div>


        <div id="posts" class="row no-gutter">
            <div class="item web col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_2.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_2.jpg">
                </a>
            </div>
            <div class="item web col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_3.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_3.jpg">
                </a>
            </div>

            <div class="item brand col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_4.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_4.jpg">
                </a>
            </div>

            <div class="item design col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">

                <a href="~/template_01/images/post_5.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_5.jpg">
                </a>

            </div>

            <div class="item web col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_6.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_6.jpg">
                </a>
            </div>

            <div class="item brand col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_2.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_2.jpg">
                </a>
            </div>

            <div class="item web col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_3.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_3.jpg">
                </a>
            </div>

            <div class="item design col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_4.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_4.jpg">
                </a>
            </div>

            <div class="item web col-6 col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-4">
                <a href="~/template_01/images/post_6.jpg" class="item-wrap fancybox">
                    <span class="icon-search2"></span>
                    <img class="img-fluid" src="~/template_01/images/post_6.jpg">
                </a>
            </div>


        </div>
    </div>

</section>


<section class="site-section bg-dark">
    <div class="container">
        <div class="row">
            <div class="col-12 mb-5 position-relative">
                <h2 class="section-title text-center mb-5 text-white">testimonials</h2>
            </div>
        </div>
        <div class="owl-carousel slide-one-item">
            <div class="slide">
                <blockquote>
                    <p>Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove right at the coast of the Semantics, a large language ocean.</p>
                    <p><cite>&mdash; Jean Smith</cite></p>
                </blockquote>
            </div>
            <div class="slide">
                <blockquote>
                    <p>A small river named Duden flows by their place and supplies it with the necessary regelialia. It is a paradisematic country, in which roasted parts of sentences fly into your mouth.</p>
                    <p><cite>&mdash; Carl Spencer</cite></p>
                </blockquote>
            </div>
            <div class="slide">
                <blockquote>
                    <p>Even the all-powerful Pointing has no control about the blind texts it is an almost unorthographic life One day however a small line of blind text by the name of Lorem Ipsum decided to leave for the far World of Grammar.</p>
                    <p><cite>&mdash; Ryan Peters</cite></p>
                </blockquote>
            </div>
        </div>
    </div>
</section>

<section class="site-section" id="clients-section">
    <div class="container">
        <div class="row">
            <div class="col-12 mb-5 position-relative">
                <h2 class="section-title text-center">Clients</h2>
            </div>
            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_1.jpg" alt="Image" class="img-fluid">
            </div>
            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_2.jpg" alt="Image" class="img-fluid">
            </div>
            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_3.jpg" alt="Image" class="img-fluid">
            </div>
            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_4.jpg" alt="Image" class="img-fluid">
            </div>


            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_5.jpg" alt="Image" class="img-fluid">
            </div>
            <div class="col-6 col-sm-6 col-md-4 col-lg-4 text-center">
                <img src="~/template_01/images/logo_6.jpg" alt="Image" class="img-fluid">
            </div>
        </div>
    </div>
</section>



<section class="site-section" id="contact-section">
    <div class="container">
        <div class="row">
            <div class="col-12 mb-5 position-relative">
                <h2 class="section-title text-center mb-5">Contact Form</h2>
            </div>
        </div>
        <form action="#" class="form">
            <div class="row mb-4">
                <div class="form-group col-6">
                    <input type="text" class="form-control" placeholder="First name" v-model='contact.firstName' />
                </div>
                <div class="form-group col-6">
                    <input type="text" class="form-control" placeholder="Last name" v-model='contact.lastName' />
                </div>
            </div>

            <div class="row mb-4">
                <div class="form-group col-12">
                    <input type="email" class="form-control" placeholder="Email address" v-model='contact.email' />
                </div>
            </div>

            <div class="row mb-4">
                <div class="form-group col-12">
                    <input type="text" class="form-control" placeholder="Subject of the message" v-model='contact.title' />
                </div>
            </div>

            <div class="row mb-4">
                <div class="form-group col-12">
                    <textarea name="" id="" cols="30" rows="10" class="form-control" placeholder="Type your message here.."
                              v-model="contact.message"></textarea>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <input type="submit" class="btn btn-primary" value="Send Message">
                </div>
            </div>

        </form>
    </div>
</section>

<footer class="site-section bg-light footer">
    <div class="container">
        <div class="row mb-5">
            <div class="col-md-3">
                <h3 class="footer-title">Me Address</h3>
                <p><span class="d-inline-block d-md-block">203 Fake St. Mountain View,</span> San Francisco, California, USA</p>
            </div>
            <div class="col-md-5 mx-auto">
                <div class="row">
                    <div class="col-lg-4">
                        <h3 class="footer-title">Services</h3>
                        <ul class="list-unstyled">
                            <li><a href="#">Web App</a></li>
                            <li><a href="#">Graphic</a></li>
                            <li><a href="#">Branding</a></li>
                        </ul>
                    </div>
                    <div class="col-lg-4">
                        <h3 class="footer-title">Resources</h3>
                        <ul class="list-unstyled">
                            <li><a href="#">Web App</a></li>
                            <li><a href="#">Graphic</a></li>
                            <li><a href="#">Branding</a></li>
                        </ul>
                    </div>
                    <div class="col-lg-4">
                        <h3 class="footer-title">Links</h3>
                        <ul class="list-unstyled">
                            <li><a href="#">Web App</a></li>
                            <li><a href="#">Graphic</a></li>
                            <li><a href="#">Branding</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-3">
                <h3 class="footer-title">Follow Me</h3>
                <a href="#" class="social-circle"><span class="icon-twitter"></span></a>
                <a href="#" class="social-circle"><span class="icon-facebook"></span></a>
                <a href="#" class="social-circle"><span class="icon-instagram"></span></a>
                <a href="#" class="social-circle"><span class="icon-dribbble"></span></a>
                <a href="#" class="social-circle"><span class="icon-linkedin"></span></a>
            </div>
        </div>

        <div class="row">
            <div class="col-12 text-center">
                <p>
                    <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                    Copyright &copy;
                    <script>document.write(new Date().getFullYear());</script> All rights reserved | This template is made with <i class="icon-heart text-danger" aria-hidden="true"></i> by <a href="https://colorlib.com" target="_blank">Colorlib</a>
                    <!-- Link back to Colorlib can't be removed. Template is licensed under CC BY 3.0. -->
                </p>
            </div>
        </div>
    </div>
</footer>
<script>
    const editors = document.getElementsByClassName('editor');
    Array.from(editors).forEach((editor) => {
        InlineEditor
            .create(editor)
            .catch(error => {
                console.error(error);
            });
    });

</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/vue/2.4.4/vue.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue-resource@1.3.4"></script>
<script>
    const app = new Vue({
        'el': '#contact-section',

        data: {
            contact: {
                fistName: '',
                lastName: '',
                title: '',
                email: '',
                message: '',
            },

            isSending: false
        },

        methods: {

            /**
             * Clear the form
             */
            clearForm() {
                for (let field in this.contact) {
                    this.contact[field] = ''
                }
            },

            /**
             * Handler for submit
             */
            onSubmit(evt) {
                evt.preventDefault();

                this.isSending = true;

                setTimeout(() => {
                    // Build for data
                    let form = new FormData();
                    for (let field in this.contact) {
                        form.append(field, this.contact[field]);
                    }

                    console.log(form);

                    // Send form to server	
                    //this.$http.post('/app.php', form).then((response) => {
                    //    console.log(response);
                    //    this.clearForm();
                    //    this.isSending = false;
                    //}).catch((e) => {
                    //    console.log(e)
                    //});

                }, 1000);
            }
        }

    });


    window.app = app;
</script>

